Additional operations
The setup template for one of the account's linked secret stores.
The setup template for one of the account's linked secret stores.
curl --request GET \
--url https://api.atlan.com/secret/v1/providers/{provider_id}/setup \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/secret/v1/providers/{provider_id}/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/secret/v1/providers/{provider_id}/setup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"external_id": "<string>",
"principal": "<string>",
"template": {}
}{
"code": "invalid_request",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}⌘I
The setup template for one of the account's linked secret stores.
curl --request GET \
--url https://api.atlan.com/secret/v1/providers/{provider_id}/setup \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/secret/v1/providers/{provider_id}/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/secret/v1/providers/{provider_id}/setup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"external_id": "<string>",
"principal": "<string>",
"template": {}
}{
"code": "invalid_request",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}